package com.lqkj.link.config.LimitRequest;

import java.lang.annotation.*;

/**
 * 限流注解
 * 可以注解在controller类上和具体接口上
 * 如果同时存在，以具体接口上的注解为准
 * 注意：因为切面在类的注解上，所以controller上必须加注解
 */

@Documented
@Target({ElementType.METHOD, ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
public @interface LimitRequest {
    boolean limit() default true;
    long time() default 1000;
    int count() default 1;
}
