package com.lqkj.link.module.zone.controller;

import com.lqkj.link.message.MessageBean;
import com.lqkj.link.module.zone.domain.MaterialInfo;
import com.lqkj.link.module.zone.domain.ModelCategory;
import com.lqkj.link.module.zone.service.LikesInfoService;
import com.lqkj.link.module.zone.service.MaterialInfoService;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/material")
@Tag(name = "材质管理", description = "材质管理")
public class MaterialInfoController {

    @Autowired
    private MaterialInfoService materialInfoService;


    /**
     * 保存材质
     * @param materialInfo
     * @return
     */
    @PostMapping("/save")
    public MessageBean save(@RequestBody MaterialInfo materialInfo) {
        materialInfoService.sava(materialInfo);
        return MessageBean.ok(null, "保存材质成功");
    }

    /**
     * 批量删除材质
     * @param materialIds
     * @return
     */

    @PostMapping("/batchDelete")
    public MessageBean batchDelete(@RequestParam List<Integer> materialIds){
        materialInfoService.batchDelete(materialIds);
        return MessageBean.ok(null, "删除材质成功");
    }


    /**
     * 材质分页接口
     * @param name
     * @param page
     * @param pageSize
     * @return
     */
    @PostMapping("/pageQuery")
    public MessageBean<Page<MaterialInfo>> pageQueryTemplate(@RequestParam(required = false, defaultValue = "") String name,
                                                      @RequestParam(required = false, defaultValue = "0") Integer page,
                                                      @RequestParam(required = false, defaultValue = "10") Integer pageSize) {
        return MessageBean.ok(materialInfoService.pageQuery(name, page, pageSize), "材质分页接口");

    }


    /**
     * 批量添加材质
     * @param file
     * @return
     */
    @PostMapping("/batchAdd")
    public MessageBean batchAdd(MultipartFile file){
        materialInfoService.batchAdd(file);
        return MessageBean.ok(null, "批量添加材质成功");
    }

}
