package com.lqkj.link.module.zone.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.Date;

/**
 * 材质信息
 */

@Entity
@Table(name = "material_info")
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class MaterialInfo {

    @Id
    @Column(name = "material_id")
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Schema(description = "材质ID")
    private Integer materialId;

    @Column(name = "material_name")
    @Schema(description = "材质名称")
    private String materialName;

    @Column(name = "json_path")
    @Schema(description = "json文件路径")
    private String jsonPath;

    @Column(name = "material_icon")
    @Schema(description = "材质图标")
    private String materialIcon;

    @Column(name = "update_time")
    @JsonFormat(pattern = "YYYY-MM-dd HH:mm:ss", timezone = "Asia/Shanghai")
    @Schema(description = "更新时间")
    private Date updateTime;

}
