package com.lqkj.link.module.zone.repository;

import com.lqkj.link.module.zone.domain.ShareInfo;
import com.lqkj.link.module.zone.domain.ZoneInfo;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ShareInfoRepository extends JpaRepository<ShareInfo, Integer> {


    /**
     * 根据zoneId和sharedUserId查询
     * @param zoneId
     * @param userId
     * @return
     */
    @Query(nativeQuery = true,
            value = "SELECT * FROM share_info WHERE zone_id = ?1 AND shared_user_id = ?2"
    )
    List<ShareInfo> findByZoneIdAndSharedUserId(Integer zoneId, Integer userId);
}
