package com.lqkj.link.module.zone.service.impl;

import com.lqkj.link.module.zone.domain.LikesInfo;
import com.lqkj.link.module.zone.domain.ZoneInfo;
import com.lqkj.link.module.zone.repository.LikesInfoRepository;
import com.lqkj.link.module.zone.repository.ZoneInfoRepository;
import com.lqkj.link.module.zone.service.LikesInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Date;

@Service
public class LikesInfoServiceImpl implements LikesInfoService {

    @Autowired
    private LikesInfoRepository likesInfoRepository;

    @Autowired
    private ZoneInfoRepository zoneInfoRepository;


    @Transactional
    @Override
    public void save(Integer zoneId, Integer userId, boolean isLike) {
        if (isLike){
        LikesInfo likesInfo = new LikesInfo();
        likesInfo.setZoneId(zoneId);
        likesInfo.setUserId(userId);
        likesInfoRepository.save(likesInfo);
        updateZoneLikeCount(zoneId, isLike);
        }
        else {
            likesInfoRepository.deleteByUserIdandZoneId(userId, zoneId);
            updateZoneLikeCount(zoneId, isLike);
        }


    }

    /**
     * 更新作品点赞数
     * @param zoneId
     */

    private void updateZoneLikeCount(Integer zoneId, boolean isLike) {
        ZoneInfo zoneInfo = zoneInfoRepository.findById(zoneId).get();
        if (isLike){
            zoneInfo.setLikeCount(zoneInfo.getLikeCount() + 1);
        }
        else {
            zoneInfo.setLikeCount(zoneInfo.getLikeCount() - 1);
        }
        zoneInfo.setUpdateTime(new Date());
        zoneInfoRepository.save(zoneInfo);

    }
}
